Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGMarkerElement

All Superinterfaces:
  Element, Node, SVGElement, SVGExternalResourcesRequired, SVGFitToViewBox, SVGLangSpace, SVGStylable

public interface SVGMarkerElement
extends SVGElement, SVGLangSpace, SVGExternalResourcesRequired, SVGStylable, SVGFitToViewBox

Field Summary
`static short` | `SVG_MARKER_ORIENT_ANGLE`
`static short` | `SVG_MARKER_ORIENT_AUTO`
`static short` | `SVG_MARKER_ORIENT_UNKNOWN`
`static short` | `SVG_MARKERUNITS_STROKEWIDTH`
`static short` | `SVG_MARKERUNITS_UNKNOWN`
`static short` | `SVG_MARKERUNITS_USERSPACEONUSE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedLength` | `getMarkerHeight()`
`SVGAnimatedEnumeration` | `getMarkerUnits()`
`SVGAnimatedLength` | `getMarkerWidth()`
`SVGAnimatedAngle` | `getOrientAngle()`
`SVGAnimatedEnumeration` | `getOrientType()`
`SVGAnimatedLength` | `getRefX()`
`SVGAnimatedLength` | `getRefY()`
`void` | `setOrientToAngle(SVGAngle angle)`
`void` | `setOrientToAuto()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.w3c.dom.svg.SVGLangSpace
`getXMLlang, getXMLspace, setXMLlang, setXMLspace`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Methods inherited from interface org.w3c.dom.svg.SVGFitToViewBox
`getPreserveAspectRatio, getViewBox`

Field Detail

### SVG_MARKERUNITS_UNKNOWN

    public static final short SVG_MARKERUNITS_UNKNOWN

### SVG_MARKERUNITS_USERSPACEONUSE

    public static final short SVG_MARKERUNITS_USERSPACEONUSE

### SVG_MARKERUNITS_STROKEWIDTH

    public static final short SVG_MARKERUNITS_STROKEWIDTH

### SVG_MARKER_ORIENT_UNKNOWN

    public static final short SVG_MARKER_ORIENT_UNKNOWN

### SVG_MARKER_ORIENT_AUTO

    public static final short SVG_MARKER_ORIENT_AUTO

### SVG_MARKER_ORIENT_ANGLE

    public static final short SVG_MARKER_ORIENT_ANGLE

Method Detail

### getRefX

    public SVGAnimatedLength getRefX()

### getRefY

    public SVGAnimatedLength getRefY()

### getMarkerUnits

    public SVGAnimatedEnumeration getMarkerUnits()

### getMarkerWidth

    public SVGAnimatedLength getMarkerWidth()

### getMarkerHeight

    public SVGAnimatedLength getMarkerHeight()

### getOrientType

    public SVGAnimatedEnumeration getOrientType()

### getOrientAngle

    public SVGAnimatedAngle getOrientAngle()

### setOrientToAuto

    public void setOrientToAuto()

### setOrientToAngle

    public void setOrientToAngle(SVGAngle angle)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD